## deepin-deepinid-plugin 2.0.8

=== debian/changelog ===
deepin-deepinid-plugin (2.0.8) unstable; urgency=medium

  * 修复背景图不等比例缩放和tip样式不对

 -- Yutao Meng <mengyutao@deepin.org>  Mon, 12 Aug 2024 17:02:54 +0800

deepin-deepinid-plugin (2.0.7) unstable; urgency=medium

  * feat: Add dde-control-center translations (#26)(Issue: 9873)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:19:25 +0800

deepin-deepinid-plugin (2.0.6) unstable; urgency=medium

  * chore: bump version

 -- Chang Yang <yangchang@deepin.org>  Fri, 19 Apr 2024 13:18:44 +0800

deepin-deepinid-plugin (2.0.5) unstable; urgency=medium

  * fix: cache file placed in wrong place

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 02 Jan 2024 11:32:00 +0800

deepin-deepinid-plugin (2.0.4) unstable; urgency=medium

  * chore: use buildin icon to display icon

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 18 Dec 2023 10:55:27 +0800

deepin-deepinid-plugin (2.0.3) unstable; urgency=medium

  * feat: disable edit user info
  * chore: update translations

 -- wurongjie <wurongjie@deepin.org>  Mon, 13 Nov 2023 13:48:19 +0800

deepin-deepinid-plugin (2.0.2) unstable; urgency=medium

  * update description
  * update translations
  * fix when changing name notify twice

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 06 Sep 2023 14:23:50 +0800

deepin-deepinid-plugin (2.0.1) unstable; urgency=medium

  * code tidyup
  * remove deprecated dbus services

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 28 Aug 2023 14:34:52 +0800

deepin-deepinid-plugin (1.0.0) unstable; urgency=medium

  * Initial release

 -- duanhongyu <duanhongyu@uniontech.com>  Mon, 08 Mar 2022 14:34:52 +0800

## deepin-deepinid-plugin 2.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(deepin-deepinid-plugin
  VERSION 2.0.5
  DESCRIPTION "Deepinid Deepin Control Center Plugin"
  HOMEPAGE_URL "https://github.com/linuxdeepin/deepin-deepinid-plugin/"
  LANGUAGES CXX
)

add_subdirectory(dcc-deepinid-plugin)

=== dcc-deepinid-plugin/CMakeLists.txt ===
set(PLUGIN_NAME "dcc-deepinid-plugin")

# 启用 qt moc 的支持
set(CMAKE_AUTOMOC ON)
# 启用 qrc 资源文件的支持
set(CMAKE_AUTORCC ON)
# 启用当前源目录和构建目录添加到包含路径
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)

# 指定所有源码文件
file(GLOB_RECURSE SRCS
    "*.h"
    "*.cpp"
    "*.qrc"
    "*.svg"
    "*.html"
)

# 指定所有qrc文件
set(QRCS icons/deepinid.qrc)

# 指定用到库
find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Concurrent Network Widgets DBus Svg LinguistTools)
find_package(DdeControlCenter REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Dtk REQUIRED COMPONENTS Widget)
find_package(PolkitQt5-1)
find_package(OpenSSL REQUIRED)

# 新增一个编译目标
file(GLOB TS_FILES "../translations/*.ts")

message(STATUS "status:${QT_NO_CREATE_VERSIONLESS_FUNCTIONS}")
QT5_ADD_TRANSLATION(QM_FILES ${TS_FILES})

add_custom_target(translations ALL DEPENDS ${QM_FILES})

# 这里使用命令 add_library 来表示本项目要生成一个库文件目标，
add_library(${PLUGIN_NAME} SHARED ${SRCS} ${QRCS})

# 设置目标要使用的 include 目录，即头文件目录
# 变量 ${DtkWidget_INCLUDE_DIRS} 是在前面执行 find_package 命令时引入的
# 当出现编译失败提示找不到某些库的头文件时应该检查此处是否将所有需要的头文件都包含了
target_include_directories(${PLUGIN_NAME} PUBLIC
    ${DdeControlCenter_INCLUDE_DIR}
)

# 设置目标要使用的链接库
# 变量 ${DtkWidget_LIBRARIES} 和 ${Qt5Widgets_LIBRARIES} 是在前面执行 find_package 命令时引入的
# 当出现运行时错误提示某些符号没有定义时应该检查此处是否将所有用的库都写在了这里
target_link_libraries(${PLUGIN_NAME} PRIVATE
    Qt::Widgets
    Qt::DBus
    Qt::Svg
    Qt::Network
    Qt::Concurrent
    Dtk::Widget
    ${DdeControlCenter_LIBRARIES}
    PolkitQt5-1::Agent
    libcrypto.so
)

install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/dde-control-center/modules)

# 安装 .qm 文件
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-control-center/translations)

=== debian/changelog ===
deepin-deepinid-plugin (2.0.9) unstable; urgency=medium

  * fix: update prompt copywriter

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 16 Oct 2024 17:18:55 +0800

=== debian/control ===
Source: deepin-deepinid-plugin
Section: lib
Priority: optional
Maintainer: duanhongyu <duanhongyu@uniontech.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libdframeworkdbus-dev (>= 1.0.2),
               libgsettings-qt-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               libgtest-dev,
               libdtkwidget-dev,
               dde-control-center-dev,
               libpolkit-qt5-1-dev,
               qttools5-dev,
			   libssl-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://gerrit.uniontech.com/admin/repos/deepin-deepinid-plugin
Vcs-Browser: https://gerrit.uniontech.com/admin/repos/deepin-deepinid-plugin

Package: dcc-deepinid-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the plugin of deepinid for dde control center
 deepin-deepinid-plugin module
